Automated Build Generator - Feature #1666

Allow setting/overwriting values of variables from the commandline

12/03/2013 05:01 PM - J. Moringen

Status: Resolved Start date: 12/03/2013
Priority: Normal Due date:

Assignee: J. Moringen % Done: 100%
Category: User Interface Estimated time: 0.00 hour
Target version: 0.2

Description

There should be a way to specify values for variables on the commandline such that existing values will be overwritten.

Common examples would be:

- overwriting the installation prefix of a distribution

- specifying a SCM URL for one project to analyze a local working copy instead of the upstream repository

As a possible extension, some variables could be marked as needing to be specified in this way. This would be particularly useful for
variables for which no good default value exists, e.g. installation prefix when installing locally.

Associated revisions

Revision 23115342 - 04/25/2014 02:52 PM - J. Moringen
Added "set" commandline option in src/commandline-interface/main.lisp
fixes #1666
- src/commandline-interface/main.lisp (update-synopsis): added "set"
commandline option
(parse-overwrite): new function; helper function for parsing
variable-value specifications
(main): collect values of "set" option and modify distribution
variables accordingly
Revision 434640b6 - 04/25/2014 06:34 PM - J. Moringen
Added missing function collect-option-values in src/commandline-interface/main.lisp
refs #1666
Should have been part of commit 2311534.
- src/commandline-interface/main.lisp (collect-option-values): new

function; collect all values of a commandline option into a list

History

#1 - 12/03/2013 05:06 PM - J. Moringen
- Description updated

#2 - 12/08/2013 01:47 AM - J. Moringen

- Target version set to 0.3
#3 - 04/25/2014 01:43 PM - J. Moringen

- Target version changed from 0.3 to 0.2

#4 - 04/25/2014 03:10 PM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:231153424b3bd33abc7a6831¢c9291a71e0dbfc7d.

#5 - 04/29/2014 07:35 AM - J. Moringen
- Category set to User Interface
